-- blizzzard functions that no longer exist in non MAINLINE clients

function ArkInventory.ClientGetProfessions( ... )
	if ArkInventory.ClientCheck( WOW_PROJECT_MAINLINE ) then
		return GetProfessions( ... )
	end
end

function ArkInventory.ClientSetSortBagsRightToLeft( ... )
	if ArkInventory.ClientCheck( WOW_PROJECT_MAINLINE ) then
		return SetSortBagsRightToLeft( ... )
	end
end

function ArkInventory.ClientGetContainerItemQuestInfo( ... )
	if ArkInventory.ClientCheck( WOW_PROJECT_MAINLINE ) then
		return GetContainerItemQuestInfo( ... )
	else
		local b, s, i = ...
		if ArkInventory.PT_ItemInSets( i.h, "Misc.Usable.StartsQuest" ) then
			return true
		end
	end
end

function ArkInventory.ClientIsArtifactPowerItem( ... )
	if ArkInventory.ClientCheck( WOW_PROJECT_MAINLINE ) then
		return IsArtifactPowerItem( ... )
	end
end

function ArkInventory.ClientIsReagentBankUnlocked( ... )
	if ArkInventory.ClientCheck( WOW_PROJECT_MAINLINE ) then
		return IsReagentBankUnlocked( ... )
	end
end

function ArkInventory.ClientGetCurrencyInfo( ... )
	if ArkInventory.ClientCheck( WOW_PROJECT_MAINLINE ) then
		return GetCurrencyInfo( ... )
	end
end
